Google 致力于为黑人社区推动种族平等。查看具体举措

MinSdk 模块控制器

public class MinSdkModuleController
extends BaseModuleController

对象
com.android.tradefed.testtype.suite.module.BaseModuleController
com.android.tradefed.testtype.suite.module.MinSdkModuleController


模块控制器的基类,不会在低于指定 SDK 版本号的版本上运行测试。

概括

受保护的构造函数

MinSdkModuleController (int minSdkVersion)

公共方法

IModuleController.RunStrategy shouldRun (IInvocationContext context)

决定模块是否应该运行的方法。

受保护的构造函数

MinSdkModuleController

protected MinSdkModuleController (int minSdkVersion)

参数
minSdkVersion int :在其测试运行的最低SDK版本。

公共方法

应该运行

public IModuleController.RunStrategy shouldRun (IInvocationContext context)

决定模块是否应该运行的方法。

参数
context IInvocationContext :在IInvocationContext模块

退货
IModuleController.RunStrategy如果模块应该运行,则为真,否则为假。